GetBookingList

Returns a list of bookings/reservations which have not been previously
downloaded or have been modified.

The pull interval can be freely set. For channels that do not support the
CreateBooking callback the interval is usually set to pull bookings every
5 minutes. If CreateBooking is supported then the GetBookingList will
be used as a fallback every 30 minutes.

The OTA can also send Cloudbeds a NotifyBooking callback to inform about
new bookings available to be polled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required
≥ 1

Property ID on the Cloudbeds channel manager

string
required

Username, login or property ID on the OTA

string
required

Password for property on your OTA. In case the OTA does not use passwords this will be an empty string.

string
required

Property ID on the OTA, if OTA supports multiple properties under one ota_property_id/ota_property_password combination. See GetSubProperties for more details.

string
required
^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$

Request reference ID, used for debugging and support requests.

string
required

Authentication between the OTA and the channel. Identical for all requests. Not to be shared with customers.

string
required
^[a-z0-9]+$

OTA ID as given by Cloudbeds

string
enum
required
Allowed:
string | null
required

With each request we send along ota_booking_version, which
has the format YYYY-MM-DD HH:MM:SS and indicates the time
in UTC we last successfully requested bookings. It can be
null if no successful response has been received so
far. Please use ota_booking_version to only return to us
new or modified bookings made since then. To ensure that no
booking are skipped due to a time-offset between your and
our servers make sure to always reduce 5 or more minutes
from the time given. Example: we provide 2017-06-22
12:09:19, then please return all new/modified/cancelled
bookings since 2017-06-22 12:04:19 (5 minutes before the
time sent).

If ota_booking_version is null please return all bookings.

Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json